org.apache.ignite.internal.processors.odbc

## Class SqlListenerResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.SqlListenerResponse

Direct Known Subclasses:
  JdbcResponse, OdbcResponse

    public abstract class SqlListenerResponse
    extends Object

SQL listener response.

### Field Summary

Fields
`static int` `STATUS_FAILED` Command failed.
`static int` `STATUS_SUCCESS` Command succeeded.

### Constructor Summary

Constructors
Constructor and Description
`SqlListenerResponse(int status, String err)` Constructs failed rest response.

### Method Summary

Methods
`String` `error()`
`void` `error(String err)`
`int` `status()`
`void` `status(int status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STATUS_SUCCESS

    public static final int STATUS_SUCCESS

Command succeeded.

See Also:
  Constant Field Values

#### STATUS_FAILED

    public static final int STATUS_FAILED

Command failed.

See Also:
  Constant Field Values

### Constructor Detail

#### SqlListenerResponse

    public SqlListenerResponse(int status,
                       @Nullable
                       String err)

Constructs failed rest response.

Parameters:
  `status` - Response status.
  `err` - Error, `null` if success is `true`.

### Method Detail

#### status

    public int status()

Returns:
  Success flag.

#### status

    public void status(int status)

Parameters:
  `status` - Status.

#### error

    public String error()

Returns:
  Error.

#### error

    public void error(String err)

Parameters:
  `err` - Error message.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017